import SwiftUI

struct PageDetailView: View {

    @ObservedObject var page: Page

    @Binding
    var language: ContentLanguage

    var body: some View {
        Text(page.metadata(for: language)?.title ?? "No headline")
    }
}

#Preview {
    PageDetailView(page: .empty, language: .constant(.english))
}
