import Foundation

final class FileResources: ObservableObject {

    /// Globally unique id
    @Published
    var uniqueId: String

    @Published
    var description: String

    init(uniqueId: String, description: String) {
        self.uniqueId = uniqueId
        self.description = description
    }
}
